var skin = {
	init: function () {
		if(document.styleSheets) {
			skin.cont = document.getElementById('skins');
			skin.cont.style.position = 'absolute';
			skin.cont.style.textAlign = 'right';
			skin.cont.style.top = '0px';
			skin.cont.style.right = '0px';
			
			skin.className = "controlBox";
			
			for (i = 0; i < document.styleSheets.length; i++) {
				var inp = document.createElement('input');
				inp.value = 'Styl ' + i;
				inp.type = 'button';
				inp.onclick = skin.changeStyle;
				inp.skinId = i;
				skin.cont.appendChild(inp);
				
				if (i > 0) {
					document.styleSheets[i].disabled = true;
				} else {
					inp.disabled = true;
					skin.active = i;
				}
			}
		
		}
		
	},
	
	set : function () {
		for(i = 0; i < document.styleSheets.length; i++) {
			if(!(skin.active == i)) {
				document.styleSheets[i].disabled = true;
			}
		}
	},
	
	changeStyle : function () {
		for(i = 0; i < skin.cont.childNodes.length; i++) {
			skin.cont.childNodes[i].disabled = false;
		}
		
		this.disabled = true;
		skin.active = this.skinId;
		skin.set();
		document.styleSheets[this.skinId].disabled = false;
	}
}

window.onload = skin.init;